Description

There currently is no way aside from searching the APPDB Sybase transaction logs to determine the last time any of the Ml RF base
parameters are altered. And even if you could find the time the parameters were altered the previous values are now gone.

The current scheme for saving these parameters is to maintain one row in appdb.wu.i3_parameters with all of these values. There
are date_sent and date_updated columns in this table presumably to save this information but the values are not sent to the db
correctly and always read 0. Each time changes are made, 13 deletes the current row and replaces it with a new row in [table.cpp >
par_rec_w()]

Suggested changes:

* Never erase any of the parameter data rows

e Properly set the date column values

¢ Retrieve the active row by selecting the row with the most recent date_sent value (like R2 does)

¢ Post a message to the program log when the change is made, currently a message only goes out if the write fails

Related issues:
Related to Main Injector RF Control Application (PA1677, I3) - Bug #8298: Inc... New 04/10/2015

History

#1 - 04/09/2015 11:54 PM - Kyle Hazelwood

appdb.wu.i3_parameters select privileges should also be set to "public" so | don't have to log in in as wu to read from the table.

#2 - 04/09/2015 11:55 PM - Kyle Hazelwood

- Subject changed from RF parameters tables to RF parameters table

#3 - 04/10/2015 12:27 AM - Kyle Hazelwood
- Related to Bug #8298: Inconsistent behavior when setting anode program past "Max HV" added
